<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gco="http://www.isotc211.org/2005/gco" 
xmlns:gmd="http://www.isotc211.org/2005/gmd" xmlns:csw="http://www.opengis.net/cat/csw/2.0.2" xmlns:srv="http://www.isotc211.org/2005/srv">

	<xsl:param name="DATASETID">-</xsl:param>
	<xsl:param name="DATASETTITLE">-</xsl:param>
	<xsl:param name="DATASETABSTRACT">-</xsl:param>
    <xsl:param name="TITLE">Title</xsl:param>
    <xsl:param name="SERVICETYPE">Service Type</xsl:param>      
    <xsl:param name="OPENCAPS">Open Capabilities</xsl:param>      
    <xsl:param name="ADDTOPORTAL">Add to Portal</xsl:param>      
    <xsl:param name="OPENBUTTON">Open</xsl:param>      
    <xsl:param name="ADDBUTTON">Add</xsl:param>      
    <xsl:param name="CLOSE">close</xsl:param>
    <xsl:param name="CSW">-</xsl:param>      
    
	<xsl:output method="html"></xsl:output>

	<xsl:template match="csw:GetRecordsResponse">		
		
		<xsl:choose>
			<xsl:when test="number( csw:SearchResults/@numberOfRecordsMatched ) > 0">
				<table width="800" cellpadding="2" style="margin-left:80px; border:#99BBE8 2px solid; -moz-border-radius: 10px">
					<tr >
						<th><xsl:value-of select="$TITLE"/></th>
						<th><xsl:value-of select="$SERVICETYPE"/></th>
						<th><xsl:value-of select="$OPENCAPS"/></th>
						<th><xsl:value-of select="$ADDTOPORTAL"/></th>
					</tr>				
					<xsl:apply-templates select="csw:SearchResults/gmd:MD_Metadata"></xsl:apply-templates>		
				</table>
			</xsl:when>
			<xsl:otherwise>
				<p>No service available for accessing data ....</p>
			</xsl:otherwise>
		</xsl:choose>			
		
		<div style="position:relative; top:40px; margin-left:80px">
			<a class="button" href="javascript:closeFullMD()" ><xsl:value-of select="$CLOSE"/></a>
		</div>
	</xsl:template>
	 
	<xsl:template match="gmd:MD_Metadata">
		<xsl:variable name="ID">
			<xsl:value-of select="./gmd:identificationInfo/*/gmd:citation/gmd:CI_Citation/gmd:identifier[1]/gmd:MD_Identifier/gmd:code/gco:CharacterString"/>
		</xsl:variable>
		<xsl:variable name="SERVICETYPE">
			<xsl:value-of select="./gmd:identificationInfo/srv:SV_ServiceIdentification/srv:serviceType/gco:LocalName"/>
		</xsl:variable>
		<xsl:variable name="BASEURL">
			<xsl:value-of select="./gmd:identificationInfo/srv:SV_ServiceIdentification/srv:containsOperations/srv:SV_OperationMetadata[srv:operationName/gco:CharacterString = 'GetCapabilities' ]/srv:connectPoint/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"></xsl:value-of>
		</xsl:variable>
		<xsl:variable name="SCOPEDNAME">
			<xsl:value-of select="./gmd:identificationInfo/srv:SV_ServiceIdentification/srv:coupledResource/srv:SV_CoupledResource[srv:identifier/gco:CharacterString = $DATASETID and srv:operationName/gco:CharacterString = 'GetMap']/gco:ScopedName"></xsl:value-of>
		</xsl:variable>
		<xsl:variable name="SERVICETITLE">
			<xsl:value-of select="./gmd:identificationInfo/srv:SV_ServiceIdentification/gmd:citation/gmd:CI_Citation/gmd:title/gco:CharacterString"></xsl:value-of>
		</xsl:variable>
		
		<tr style="height:40px" >
			<td align="center" valign="middle" title="{./gmd:identificationInfo/srv:SV_ServiceIdentification/gmd:abstract/gco:CharacterString}" >
				<xsl:value-of select="./gmd:identificationInfo/srv:SV_ServiceIdentification/gmd:citation/gmd:CI_Citation/gmd:title/gco:CharacterString"/>
			</td>
			<td align="center" valign="middle">
				<xsl:value-of select="$SERVICETYPE"/>
			</td>
			<td align="center" valign="middle">				
				<a class="button">
					<xsl:attribute name="href">javascript:openCapabilities( '<xsl:value-of select="$BASEURL"/>', '<xsl:value-of select="$SERVICETYPE"/>'  )</xsl:attribute>
					<xsl:value-of select="$OPENBUTTON"/>
				</a>
			</td>
			<td align="center" valign="middle">
				<xsl:if test="$SERVICETYPE = 'view' " >
					<a class="button">
						<xsl:attribute name="href">javascript:addToPortal( '<xsl:value-of select="$BASEURL"/>', '<xsl:value-of select="$SERVICETITLE"/>',
'<xsl:value-of select="$SERVICETYPE"/>', '<xsl:value-of select="$SCOPEDNAME"/>',
'<xsl:value-of select="$CSW"/>', '<xsl:value-of select="$DATASETID"/>',
'<xsl:value-of select="$DATASETTITLE"/>', '<xsl:value-of select="$DATASETABSTRACT"/>'  ); javascript:closeFullMD()</xsl:attribute>
						<xsl:value-of select="$ADDBUTTON"/>
					</a>
				</xsl:if>
			</td>
		</tr>			
	</xsl:template>
	
</xsl:stylesheet>