CREATE INDEX IDX_MD_AggregateInfo ON MD_AggregateInfo (FK_DATAIDENT, FK_DATESETNAME, FK_TYPECODE);
CREATE INDEX IDX_DS_ASSOCIATIONTYPECODE ON DS_ASSOCIATIONTYPECODE (CODELISTVALUE);
CREATE INDEX IDX_PT_LOCALE ON PT_LOCALE (LANGUAGECODE, COUNTRY, FK_CHARACTERENCODING);
CREATE INDEX IDX_LANGUAGE ON LANGUAGE (LANGUAGE);
CREATE INDEX IDX_PUBLICATIONDATE ON PUBLICATIONDATE (PUBLICATIONDATE);
CREATE INDEX IDX_QUANTITATIVERESULT ON DQ_QUANTITATIVERESULT (IDENTIFIER, CODESPACE);
CREATE INDEX IDX_QUANTITATIVERESULT_VALUE ON QUANTITATIVERES_VALUE (FK_QUANTITATIVERESULT, VALUE);
CREATE INDEX IDX_DQ_CONFORMANCERESULT ON DQ_CONFORMANCERESULT (EXPLANATION, PASS, FK_CITATION);

CREATE INDEX IDX_ALTERNATETITLE ON ALTERNATETITLE (ALTERNATETITLE);
CREATE INDEX IDX_ADDRESS ON CI_ADDRESS (CITY);
CREATE INDEX IDX_CITATION ON CI_CITATION (FK_FILEIDENTIFIER, TITLE, CREATIONDATE);
CREATE INDEX IDX_CONTACT ON CI_CONTACT  (FK_ADDRESS, FK_ONLINERESOURCE);
CREATE INDEX IDX_ONLINERESOURCE ON CI_ONLINERESOURCE  (FK_FUNCTION, LINKAGE, PROTOCOL, NAME);
CREATE INDEX IDX_RESPPARTY ON CI_RESPPARTY  (FK_ROLE, FK_CONTACT, INDIVIDUALNAME, ORGANISATIONNAME);
CREATE INDEX IDX_SERIES ON CI_SERIES  (FK_CITATION, NAME);
CREATE INDEX IDX_SERVICEIDENTIFICATION ON CSW_SERVICEIDENTIFICATION (FK_COUPLINGTYPE, FK_LEGALCONST, FK_SECCONST, SERVICETYPE);
CREATE INDEX IDX_DELIVERYPOINT ON DELIVERYPOINT  (DELIVERYPOINT);
CREATE INDEX IDX_DATAQUALITY ON DQ_DATAQUALITY  (FK_METADATA, SCOPELEVELCODELISTVALUE );
CREATE INDEX IDX_ELEMENT ON DQ_ELEMENT  (FK_DATAQUALITY);
CREATE INDEX IDX_EMAILADDRESS ON ELECTRONICMAILADDRESS  (EMAIL);
CREATE INDEX IDX_GEOGRDESCRIPTION ON EX_GEOGRAPHICDESCRIPTION (FK_DATAIDENT, GEOGRAPHICIDENTIFIERCODE);
CREATE INDEX IDX_GEOGRBBOX ON EX_GEOGRBBOX  (FK_OWNER, DESCRIPTION);
CREATE INDEX IDX_TEMPEXTENT ON EX_TEMPORALEXTENT  (FK_DATAIDENT, BEGIN_, END_);
CREATE INDEX IDX_VERTEXTENT ON EX_VERTICALEXTENT  (FK_DATAIDENT, MINVAL, MAXVAL);
CREATE INDEX IDX_FACSIMILE ON FACSIMILE  (FK_CONTACT, FAXNUMBER);
CREATE INDEX IDX_FEATURETYES ON FEATURETYPES  (FK_FEATCATDESC, LOCALNAME);
CREATE INDEX IDX_ADDRESS_DELIVPOINT ON JT_ADDRESS_DELIVPOINT (FK_ADDRESS, FK_DELIVPOINT);
CREATE INDEX IDX_ADDRESS_EMAIL ON JT_ADDRESS_EMAIL (FK_ADDRESS, FK_EMAIL);
CREATE INDEX IDX_CITATION_PRESFORM ON JT_CITATION_PRESFORM (FK_CITATION, FK_PRESFORMCODE);
CREATE INDEX IDX_CITATION_RESPPARTY ON JT_CITATION_RESPPARTY (FK_CITATION, FK_RESPPARTY);
CREATE INDEX IDX_DATAIDENT_SPATREPTYPE ON JT_DATAIDENT_SPATIALREPTYPE (FK_DATAIDENT, FK_SPATIALREPTYPE );
CREATE INDEX IDX_DATAIDENT_TOPICCAT ON JT_DATAIDENT_TOPICCAT  (FK_DATAIDENT, FK_TOPICCATEGORY);
CREATE INDEX IDX_DIGTRANSOPT_MEDFORMAT ON JT_DIGTRANSOPT_MEDIUMFORMAT (FK_DIGTRANSOPT, FK_MEDIUMFORMAT);
CREATE INDEX IDX_DIGTRANSOPT_MEDNAME ON JT_DIGTRANSOPT_MEDIUMNAME (FK_DIGTRANSOPT, FK_MEDIUMNAME);
CREATE INDEX IDX_DIGTRANSOPT_ONLINERES ON JT_DIGTRANSOPT_ONLINERES (FK_DIGTRANSOPT, FK_ONLINERESOURCE);
CREATE INDEX IDX_DIST_DISTFORMAT ON JT_DIST_DISTFORMAT (FK_DISTRIBUTION, FK_FORMAT);
CREATE INDEX IDX_DIST_DISTRIBUTOR ON JT_DIST_DISTRIBUTOR (FK_DISTRIBUTION,FK_DISTRIBUTOR);
CREATE INDEX IDX_IDENT_KEYWORDS ON JT_IDENT_KEYWORDS (FK_IDENT, FK_KEYWORDS);
CREATE INDEX IDX_IDENT_LEGALCONST ON JT_IDENT_LEGALCONST (FK_IDENTIFICATION, FK_LEGALCONST);
CREATE INDEX IDX_IDENT_MAINTEN ON JT_IDENT_MAINTEN (FK_IDENTIFICATION, FK_MAINTENANCE);
CREATE INDEX IDX_IDENT_PROGRESS ON JT_IDENT_PROGRESS (FK_IDENTIFICATION,FK_PROGRESS);
CREATE INDEX IDX_IDENT_RESPPARTY ON JT_IDENT_RESPPARTY (FK_IDENTIFICATION,FK_RESPONSIBLEPARTY);
CREATE INDEX IDX_IDENT_SECCONST ON JT_IDENT_SECCONST (FK_IDENTIFICATION,FK_SECCONSTRAINT);
CREATE INDEX IDX_IDENT_USAGE ON JT_IDENT_USAGE (FK_IDENT, FK_USAGE);
CREATE INDEX IDX_KEYWORDS_KEYWORD ON JT_KEYWORDS_KEYWORD (FK_KEYWORD, FK_KEYWORDS);
CREATE INDEX IDX_LEGALCONST_ACCESSCONST ON JT_LEGALCONST_ACCESSCONST (FK_LEGALCONST, FK_RESTRICTCODE);
CREATE INDEX IDX_LEGALCONST_USECONST ON JT_LEGALCONST_USECONST (FK_LEGALCONST,FK_RESTRICTCODE);
CREATE INDEX IDX_PROCSTEP_RESPPARTY ON JT_PROCSTEP_RESPPARTY (FK_PROCSTEP,FK_RESPONSIBLEPARTY);
CREATE INDEX IDX_LI_SRC_LI_PROCSTEP ON JT_LI_SRC_LI_PROCSTEP (FK_PROCSTEP, FK_SOURCE);
CREATE INDEX IDX_METADATA_APPSCHEMAINF ON JT_METADATA_APPSCHEMAINF (FK_APPSCHEMAINF, FK_METADATA);
CREATE INDEX IDX_METADATA_FEATCATDESC ON JT_METADATA_FEATCATDESC (FK_FEATCATDESC, FK_METADATA);
CREATE INDEX IDX_METADATA_LEGALCONST ON JT_METADATA_LEGALCONST (FK_LEGALCONSTRAINT, FK_METADATA);
CREATE INDEX IDX_METADATA_LOCALE ON JT_METADATA_LOCALE (FK_LOCALE, FK_METADATA);
CREATE INDEX IDX_METADATA_PORTCATREF ON JT_METADATA_PORTCATREF (FK_METADATA, FK_PORTCATREF );
CREATE INDEX IDX_METADATA_REFSYS ON JT_METADATA_REFSYS (FK_METADATA, FK_REFSYS );
CREATE INDEX IDX_METADATA_RESPPARTY ON JT_METADATA_RESPPARTY  (FK_METADATA, FK_RESPPARTY);
CREATE INDEX IDX_METADATA_SECCONST ON JT_METADATA_SECCONST  (FK_METADATA, FK_SECCONSTRAINTS);
CREATE INDEX IDX_OPERATION_DCP ON JT_OPERATION_DCP  (FK_DCP, FK_OPERATION);
CREATE INDEX IDX_OPERATION_NAME ON JT_OPERATION_NAME  (FK_NAME, FK_OPERATION);
CREATE INDEX IDX_OPERATION_PARAMETER ON JT_OPERATION_PARAMETER  (FK_OPERATION, FK_PARAMETER);
CREATE INDEX IDX_OPERATION_OPERATESON ON JT_OPERATION_OPERATESON (FK_OPERATESON, FK_OPERATION);
CREATE INDEX IDX_JT_OPMETA_ONLINERES ON JT_OPMETA_ONLINERES (FK_ONLINERESOURCE, FK_OPERATION);
CREATE INDEX IDX_JT_QUALITY_PROCSTEP ON JT_QUALITY_PROCSTEP  (FK_PROCSTEP, FK_QUALITY);
CREATE INDEX IDX_JT_SECCONST_CLASSCODE ON JT_SECCONST_CLASSIFICATIONCODE (FK_CLASSIFICATIONCODE, FK_SECCONST);
CREATE INDEX IDX_KEYWORD ON KEYWORD  (KEYWORD);
CREATE INDEX IDX_LI_PROCESSSTEP ON LI_PROCESSSTEP  (RATIONALE);
CREATE INDEX IDX_LI_SOURCE ON LI_SOURCE  (FK_DATAQUALITY, FK_SOURCECITATION, FK_SOURCEREFERENCESYSTEM);
CREATE INDEX IDX_APPSCHEMAINF ON MD_APPSCHEMAINFORMATION  (FK_CITATION);
CREATE INDEX IDX_FILEDESCRIPTION ON MD_BROWSEGRAPHIC  (FK_IDENT, FILENAME);
CREATE INDEX IDX_DATAIDENTIFICATION ON MD_DATAIDENTIFICATION  (SUPPLEMENTALINFORMATION);
CREATE INDEX IDX_DATAIDENT_CHARSET ON JT_DATAIDENT_CHARSET (FK_DATAIDENT, FK_CHARSET);
CREATE INDEX IDX_DIGTRANSFEROPT ON MD_DIGTRANSFEROPT  (FK_DISTRIBUTION);
CREATE INDEX IDX_DISTRIBUTION ON MD_DISTRIBUTION  (FK_METADATA);
CREATE INDEX IDX_DISTRIBUTOR ON MD_DISTRIBUTOR  (FK_RESPONSIBLEPARTY);
CREATE INDEX IDX_FEATCATDESC ON MD_FEATCATDESC  (FK_CITATION);
CREATE INDEX IDX_FORMAT ON MD_FORMAT  (NAME);
CREATE INDEX IDX_IDENTIFICATION1 ON MD_IDENTIFICATION  (FK_CITATION);
CREATE INDEX IDX_IDENTIFICATION2 ON MD_IDENTIFICATION  (ABSTRACT);
CREATE INDEX IDX_IDENTIFICATION3 ON MD_IDENTIFICATION  (PURPOSE);
CREATE INDEX IDX_KEYWORDS ON MD_KEYWORDS  (FK_TYPE, FK_THESAURUS);
CREATE INDEX IDX_KEYWORDTYPECODE ON MD_KEYWORDTYPECODE  (CODELISTVALUE);
CREATE INDEX IDX_MAINTINFO ON MD_MAINTENANCEINFORMATION (FK_MAINFREQ, FK_SCOPE, DATEOFNEXTUPDATE);
CREATE INDEX IDX_METADATA ON MD_METADATA  ( DATESTAMP );
CREATE INDEX IDX_RESOLUTION ON MD_RESOLUTION  (UOMNAME, FK_DATAIDENT);
CREATE INDEX IDX_SECCONSTRAINTS ON MD_SECURITYCONSTRAINTS  (CLASSIFICATIONSYSTEM);
CREATE INDEX IDX_STANDORDERPROC ON MD_STANDORDERPROC  (FK_DISTRIBUTOR);
CREATE INDEX IDX_USAGE ON MD_USAGE  (SPECIFICUSAGE);
CREATE INDEX IDX_JT_USAGE_RESPPARTY ON JT_USAGE_RESPPARTY  (FK_USAGE, FK_RESPPARTY);
CREATE INDEX IDX_VECSPATIALREP ON MD_VECSPATIALREP  (FK_METADATA, FK_TOPOLEVELCODE, FK_GEOOBJTYPECODE);
CREATE INDEX IDX_OPERATESON ON OPERATESON  (NAME, TITLE, FK_DATAIDENTIFICATION, FK_SERVICEIDENTIFICATION);
CREATE INDEX IDX_OPERATIONNAMES ON OPERATIONNAMES  (NAME);
CREATE INDEX IDX_OTHERCONSTRAINTS ON OTHERCONSTRAINTS  (FK_LEGALCONSTRAINTS);
CREATE INDEX IDX_IDENTIFIER ON RS_IDENTIFIER  (CODE, FK_AUTHORITY);
CREATE INDEX IDX_SERVICEVERSION ON SERVICEVERSION  (VERSION, FK_SERVICEIDENT);
CREATE INDEX IDX_OPERATIONMETADATA ON SV_OPERATIONMETADATA  (INVOCATIONNAME,FK_SERVICEIDENT);
CREATE INDEX IDX_VOICE ON VOICE  (VOICENUMBER, FK_CONTACT);
CREATE INDEX IDX_CQP_MAIN1 ON CQP_MAIN (identifier, title, abstract);
CREATE INDEX IDX_CQP_MAIN2 ON CQP_MAIN (subject, serviceType, topicCategory);
CREATE INDEX IDX_CQP_MAIN3 ON CQP_MAIN (modified, type, revisionDate, creationDate);
CREATE INDEX IDX_CQP_MAIN4 ON CQP_MAIN (geographicDescripionCode, parentId);
CREATE INDEX IDX_CQP_MAIN5 ON CQP_MAIN (language, lineage);
CREATE INDEX IDX_CQP_MAIN6 ON CQP_MAIN (condAppToAccAndUse, accessConstraints);
CREATE INDEX IDX_CQP_MAIN7 ON CQP_MAIN (otherConstraints, classification);
CREATE INDEX IDX_CQP_MAIN8 ON CQP_MAIN (couplingType, operation, operatesOn);
CREATE INDEX IDX_CQP_MAIN9 ON CQP_MAIN (operatesOnIdentifier, operatesOnName);
CREATE INDEX IDX_CQP_DOMAINCONSISTENCY ON CQP_DomainConsistency (specificationTitle, degree);
CREATE INDEX IDX_CQP_SPECIFICATIONDATE ON CQP_SpecificationDate (dateStamp, datetype);

commit;